package middleware

import (
	"net/http"

	"github.com/CAFxX/httpcompression"
)

// Compress creates a middleware that compresses HTTP responses using default settings
func Compress() Middleware {
	return func(next http.Handler) http.Handler {
		compress, err := httpcompression.DefaultAdapter()
		if err != nil {
			panic(err)
		}
		return compress(next)
	}
}